%define upstream_name    Class-Loader
%define upstream_version 2.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:        Load modules and create objects on demand
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
Certain applications like to defer the decision to use a
particular module till runtime. This is possible in perl,
and is a useful trick in situations where the type of data
is not known at compile time and the application doesn't
wish to pre-compile modules to handle all types of data it
can work with. Loading modules at runtime can also provide
flexible interfaces for perl modules. Modules can let the
programmer decide what modules will be used by it instead
of hard-coding their names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.30.0-3.mga4
+ Revision: 510122
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.30.0-2.mga3
+ Revision: 364430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 28594
- mageia rebuild
- imported package perl-Class-Loader


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-1mdv2010.0
+ Revision: 406875
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.03-5mdv2009.0
+ Revision: 256023
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 2.03-3mdv2008.1
+ Revision: 168162
- fix no-buildroot-tag
- kill (multiple!) definitions of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-3mdv2008.0
+ Revision: 86125
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:39:05 (58398)
- mkrel
- check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:36:18 (58397)
Import perl-Class-Loader

* Fri Apr 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.03-1mdk
- 2.03

* Mon Feb 23 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.02-2mdk
- rebuild
- own dirs

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.02-1mdk
- New package

